PostgreSQL 9.1.2 Documentation
Prev | Up |  | Next

# SPI_freeplan

## Name

SPI_freeplan -- free a previously saved plan

## Synopsis

    int SPI_freeplan(SPIPlanPtr plan)

## Description

`SPI_freeplan` releases a command execution plan previously returned by `SPI_prepare` or saved by `SPI_saveplan`.

## Arguments

`SPIPlanPtr `plan``

  pointer to plan to free

## Return Value

`SPI_ERROR_ARGUMENT` if `plan` is `NULL` or invalid

Prev | Home | Next
SPI_freetuptable | Up | Visibility of Data Changes